<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.6/semantic.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.15/css/dataTables.semanticui.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.2.0/jquery-confirm.min.css">
    <style>
        .taskTable {
            margin: 20px auto;
            width: 90%;
        }

        .headPage {
            height: 300px;
            position: relative;
        }

        .headProfile {
            height: 200px;
            background: #125;
        }

        .footProfile {
            height: 100px;
        }

        .photoEmployee {
            border-radius: 100%;
            border: 5px solid white;
            border-color: red;
            height: 200px;
            width: 200px;
            position: absolute;
            top: 100px;
            background: wheat;
            left: calc(50% - 100px);
            overflow: hidden;

        }


    </style>
</head>
<body>


<div class="container">
    <div class="headPage">
        <div class="headProfile"></div>
        <div class="photoEmployee">
            <img src="person-icon.jpg" class="img-responsive" alt="">
        </div>
        <div class="footProfile"></div>

    </div>

    <div class="taskTable ">
        <table id="Task" class="ui celled table" width="100%" cellspacing="0">
            <thead>
            <tr>
                <th>Id</th>
                <th>Project</th>
                <th>Name</th>
                <th>Priority</th>
                <th>Ststis</th>
                <th>Point</th>
            </tr>

            </thead>

            <tbody>
            <tr data-toggle="modal" data-target=".modelTask">
                <td>Tiger Nixon</td>
                <td>System Architect</td>
                <td>Edinburgh</td>
                <td>61</td>
                <td>2011/04/25</td>
                <td>$320,800</td>

            </tr>
            <tr data-toggle="modal" data-target=".modelTask">
                <td>Tiger Nixon</td>
                <td>1</td>
                <td>1</td>
                <td>1</td>
                <td>1/</td>
                <td>1,800</td>

            </tr>
            <tr data-toggle="modal" data-target=".modelTask">
                <td>2 Nixon</td>
                <td>2 Architect</td>
                <td>2</td>
                <td>2</td>
                <td>2011/04/25</td>
                <td>$320,800</td>

            </tr>
            <tr data-toggle="modal" data-target=".modelTask">
                <td>3 Nixon</td>
                <td>System 3</td>
                <td>3</td>
                <td>3</td>
                <td>2011/04/25</td>
                <td>$320,800</td>

            </tr>
            <tr data-toggle="modal" data-target=".modelTask">
                <td>3 Nixon</td>
                <td>3 Architect</td>
                <td>3</td>
                <td>3</td>
                <td>3/04/25</td>
                <td>3,800</td>

            </tr>


            </tbody>
        </table>


    </div>
</div>
<div class="modal fade modelTask" tabindex="-1" role="dialog">
    <div class="modal-dialog ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">informtion Task</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal">

                    <div class="form-group">
                        <label class="col-xs-2 control-label">Description:</label>
                        <div class=" col-xs-10">
                            <textarea class="form-control" rows="4" name="description"></textarea>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>


<script
        src="https://code.jquery.com/jquery-3.2.1.js"
        integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE="
        crossorigin="anonymous"></script>
<script src="https://cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.15/js/dataTables.semanticui.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.6/semantic.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.2.0/jquery-confirm.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
<script>
    var page = {

        isEmployeeOnline: function (status) {
            if (status)
                $(".photoEmployee").css("border-color", "green")
            else
                $(".photoEmployee").css("border-color", "red")


        },
        initTable: function (ArrayOpj) {
            for (var i = 0, j = ArrayOpj.length; i < j; i++) {
                table.row.add(ArrayOpj[i]).draw(false);
            }
        },


        init: function () {
            table = $('#Task').DataTable({
                "columnDefs": [
                    {
                        "targets": [0],
                        "visible": false,
                    }
                ],
            });
            // get description from databaes   for id data[0] and int discription var
            $('#Task tbody').on('click', 'tr', function () {
                var data = table.row(this).data();
                var discription = "";
                $("textarea[name='description']").val(discription);
            });

        }
    }
    $(document).ready(function () {
        page.init();


    });
</script>
</body>
</html>